package org.springblade.auth.thirdparty;

import me.zhyd.oauth.model.AuthToken;
import org.springblade.auth.model.ThirdPartyAuthCallback;
import org.springblade.auth.model.ThirdPartyLogin;

/**
 *
 */
public interface ThirdPartyAuthRequest {

    String getAuthorizeUrl(ThirdPartyLogin login);

    String login(ThirdPartyLogin login, ThirdPartyAuthCallback callback);
}
